/* src/sysconf.h.  Generated automatically by configure.  */
/* -*- C -*- */

/* Note: this is for unix only.  See slrnconf.h for other systems.  
 * Also edit slrnfeat.h for slrn features.
 */

#ifndef SLRN_CONFIG_H
#define SLRN_CONFIG_H

/* define if you want to hard-code the domain */
/* #undef USE_DOMAIN_NAME */
 
/* set your domain here */
/* #undef MY_DOMAIN_NAME */


/* define if you have stdlib.h */
#define HAVE_STDLIB_H 1

/* define if you have unistd.h */
#define HAVE_UNISTD_H 1

/* define if you have fcntl.h */
#define HAVE_FCNTL_H 1

/* define if you have termios.h */
#define HAVE_TERMIOS_H 1

/* define if you have memory.h */
#define HAVE_MEMORY_H 1

/* define if you have malloc.h */
#define HAVE_MALLOC_H 1

/* define if you have memset */
#define HAVE_MEMSET 1

/* define if you have memcpy */
#define HAVE_MEMCPY 1

#define HAVE_SIGLONGJMP 1

/* define if you have this. */
#define HAVE_PUTENV 1
#define HAVE_GETCWD 1

#define HAVE_DIRENT_H 1
/* #undef HAVE_SYS_NDIR_H */
/* #undef HAVE_SYS_DIR_H */
/* #undef HAVE_NDIR_H */

#define HAVE_SYS_WAIT_H 1

/* define if you have <sys/socket.h> */
#define HAVE_SYS_SOCKET_H 1

/* define if you have <socket.h> */
#define HAVE_SOCKET_H 1

/* define if you have <netinet/in.h> */
#define HAVE_NETINET_IN_H 1

/* define if you have <arpa/inet.h> */
/* #undef HAVE_ARPA_INET_H */


/* #undef HAVE_GETDOMAINNAME */

/* Do we have posix signals? */
#define HAVE_SIGACTION 1
#define HAVE_SIGPROCMASK 1
#define HAVE_SIGEMPTYSET 1
#define HAVE_SIGADDSET 1

#if defined(HAVE_SIGADDSET) && defined(HAVE_SIGEMPTYSET)
# if defined(HAVE_SIGACTION) && defined(HAVE_SIGPROCMASK)
#  define SLRN_POSIX_SIGNALS
# endif
#endif

/* #undef mode_t */
/* #undef pid_t */
/* #undef uid_t */
/* #undef pid_t */


#if defined(ultrix) && !defined(__GNUC__)
# ifndef NO_PROTOTYPES
#  define NO_PROTOTYPES
# endif
#endif

#ifndef REAL_UNIX_SYSTEM
# define REAL_UNIX_SYSTEM
#endif

#ifdef _AIX
# ifndef _POSIX_SOURCE
#  define _POSIX_SOURCE
# endif
# ifndef _ALL_SOURCE
#  define _ALL_SOURCE
# endif
/* This may generate warnings but the fact is that without it, xlc will 
 * INCORRECTLY inline many str* functions. */
/* # undef __STR__ */
#endif

#ifndef __unix__
# define __unix__ 1
#endif

#define SLRN_SERVER_ID_NNTP 1
#define SLRN_SERVER_ID_SPOOL 2

#define SLRN_POST_ID_NNTP 1
#define SLRN_POST_ID_INEWS 2
#define SLRN_POST_ID_PULL 3

#define SLRN_PATH_SLASH_CHAR	'/'

#endif /* SLRN_CONFIG_H */
